%define name pulseaudio
%define version 0.9.5
%define release %mkrel 1
%define major 0
%define coremajor 2
%define apiver 0.9
%define libname %mklibname %name %major
%define corelibname %mklibname pulsecore %coremajor

Summary: Sound server for Linux
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://0pointer.de/lennart/projects/pulseaudio/%{name}-%{version}.tar.bz2
License: LGPL
Group: Sound
Url: http://pulseaudio.org/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: glib2-devel
BuildRequires: libcap-devel
BuildRequires: libsndfile-devel
BuildRequires: libsamplerate-devel
BuildRequires: libalsa-devel
BuildRequires: libjack-devel
BuildRequires: libavahi-client-devel
BuildRequires: liboil-devel
BuildRequires: libGConf2-devel
BuildRequires: libwrap-devel
BuildRequires: XFree86-devel
BuildRequires: hal-devel
BuildRequires: doxygen
BuildRequires: automake1.8
BuildRequires: libltdl-devel
Provides: polypaudio
Obsoletes: polypaudio

%description
pulseaudio is a sound server for Linux and other Unix like operating
systems. It is intended to be an improved drop-in replacement for the
Enlightened Sound Daemon (ESOUND). In addition to the features ESOUND
provides pulseaudio has:
     * Extensible plugin architecture (by loading dynamic loadable
       modules with dlopen())
     * Support for more than one sink/source
     * Better low latency behaviour
     * Embedabble into other software (the core is available as C
       library)
     * Completely asynchronous C API
     * Simple command line interface for reconfiguring the daemon while
       running
     * Flexible, implicit sample type conversion and resampling
     * "Zero-Copy" architecture
     * Module autoloading
     * Very accurate latency measurement for playback and recording.
     * May be used to combine multiple sound cards to one (with sample
       rate adjustment)
     * Client side latency interpolation

%package -n %corelibname
Summary: Shared library part of the polpyaudio sound server
Group: System/Libraries

%description -n %corelibname
pulseaudio is a sound server for Linux and other Unix like operating
systems. It is intended to be an improved drop-in replacement for the
Enlightened Sound Daemon (ESOUND). In addition to the features ESOUND
provides pulseaudio has:
     * Extensible plugin architecture (by loading dynamic loadable
       modules with dlopen())
     * Support for more than one sink/source
     * Better low latency behaviour
     * Embedabble into other software (the core is available as C
       library)
     * Completely asynchronous C API
     * Simple command line interface for reconfiguring the daemon while
       running
     * Flexible, implicit sample type conversion and resampling
     * "Zero-Copy" architecture
     * Module autoloading
     * Very accurate latency measurement for playback and recording.
     * May be used to combine multiple sound cards to one (with sample
       rate adjustment)
     * Client side latency interpolation

This contains the shared library needed by pulseaudio based applications.

%package -n %libname
Summary: Shared library part of the polpyaudio sound server
Group: System/Libraries

%description -n %libname
pulseaudio is a sound server for Linux and other Unix like operating
systems. It is intended to be an improved drop-in replacement for the
Enlightened Sound Daemon (ESOUND). In addition to the features ESOUND
provides pulseaudio has:
     * Extensible plugin architecture (by loading dynamic loadable
       modules with dlopen())
     * Support for more than one sink/source
     * Better low latency behaviour
     * Embedabble into other software (the core is available as C
       library)
     * Completely asynchronous C API
     * Simple command line interface for reconfiguring the daemon while
       running
     * Flexible, implicit sample type conversion and resampling
     * "Zero-Copy" architecture
     * Module autoloading
     * Very accurate latency measurement for playback and recording.
     * May be used to combine multiple sound cards to one (with sample
       rate adjustment)
     * Client side latency interpolation

This contains the shared library needed by pulseaudio based applications.

%package -n %libname-devel
Summary: Development headers of the polpyaudio sound server
Group: Development/C
Requires: %corelibname = %version
Requires: %libname = %version
Provides: lib%name-devel = %version-%release

%description -n %libname-devel
pulseaudio is a sound server for Linux and other Unix like operating
systems. It is intended to be an improved drop-in replacement for the
Enlightened Sound Daemon (ESOUND). In addition to the features ESOUND
provides pulseaudio has:
     * Extensible plugin architecture (by loading dynamic loadable
       modules with dlopen())
     * Support for more than one sink/source
     * Better low latency behaviour
     * Embedabble into other software (the core is available as C
       library)
     * Completely asynchronous C API
     * Simple command line interface for reconfiguring the daemon while
       running
     * Flexible, implicit sample type conversion and resampling
     * "Zero-Copy" architecture
     * Module autoloading
     * Very accurate latency measurement for playback and recording.
     * May be used to combine multiple sound cards to one (with sample
       rate adjustment)
     * Client side latency interpolation

This contains the C headers and libraries needed to build pulseaudio
based applications.


%prep
%setup -q

%build
export CPPFLAGS=-I%_includedir/alsa
%configure2_5x --disable-glib1
make
make doxygen

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %libname -p /sbin/ldconfig
%postun -n %libname -p /sbin/ldconfig
%post -n %corelibname -p /sbin/ldconfig
%postun -n %corelibname -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc README doxygen/html
%attr(4755,root,root) %_bindir/%name
%_bindir/esdcompat
%_bindir/pabrowse
%_bindir/pacat
%_bindir/pacmd
%_bindir/pactl
%_bindir/padsp
%_bindir/paplay
%_bindir/parec
%_bindir/pax11publish
%_libdir/pulse/
%dir %_sysconfdir/pulse
%config(noreplace) %_sysconfdir/pulse/client.conf
%config(noreplace) %_sysconfdir/pulse/daemon.conf
%config(noreplace) %_sysconfdir/pulse/default.pa

%files -n %corelibname
%defattr(-,root,root)
%_libdir/libpulsecore.so.%{coremajor}*

%files -n %libname
%defattr(-,root,root)
%_libdir/libpulsedsp.so
%_libdir/libpulse.so.%{major}*
%_libdir/libpulse-browse.so.%{major}*
%_libdir/libpulse-mainloop-glib.so.%{major}*
%_libdir/libpulse-simple.so.%{major}*
%dir %_libdir/pulse-%apiver/
%dir %_libdir/pulse-%apiver/modules
%_libdir/pulse-%apiver/modules/*.so
%attr(644,root,root) %_libdir/pulse-%apiver/modules/*.la

%files -n %libname-devel
%defattr(-,root,root)
%attr(644,root,root) %_libdir/lib*.la
%_libdir/lib*.a
%_libdir/libpulse.so
%_libdir/libpulsecore.so
%_libdir/libpulse-browse.so
%_libdir/libpulse-mainloop-glib.so
%_libdir/libpulse-simple.so
%_includedir/pulse/
%_includedir/pulsecore/
%_libdir/pkgconfig/*.pc


%changelog
* Mon Feb 05 2007 Colin Guthrie <cguthrie@mandriva.org> 0.9.5-1mdv2007.0
+ Revision: 116253
- Import pulseaudio



* Sun Aug 27 2006 Gtz Waschk <waschk@mandriva.org> 0.9.5-1mdv2007.0
- fix buildrequires
- New release 0.9.5

* Tue Aug 01 2006 Frederic Crozat <fcrozat@mandriva.com> 0.9.4-2mdv2007.0
- Rebuild with latest dbus
- Change BR to use avahi instead of howl

* Tue Jul 25 2006 Gtz Waschk <waschk@mandriva.org> 0.9.4-1mdv2007.0
- New release 0.9.4

* Fri Jul 21 2006 Gtz Waschk <waschk@mandriva.org> 0.9.3-1mdv2007.0
- split out libpulsecore (changed major
- New release 0.9.3

* Mon Jul 10 2006 Gtz Waschk <waschk@mandriva.org> 0.9.2-2mdv2007.0
- fix docs

* Mon Jul 10 2006 Gtz Waschk <waschk@mandriva.org> 0.9.2-1mdv2007.0
- renamed from polypaudio

* Mon Jun  5 2006 Gtz Waschk <waschk@mandriva.org> 0.9.1-1mdv2007.0
- update file list
- disable glib 1
- drop patch 
- New release 0.9.1

* Sun May 28 2006 Gtz Waschk <waschk@mandriva.org> 0.9.0-1mdv2007.0
- new major
- New release 0.9.0

* Wed May 17 2006 Thierry Vignaud <tvignaud@mandriva.com> 0.8.1-4mdk
- fix upgrade after file move in 0.8.1-3mdk

* Fri May 12 2006 Gtz Waschk <waschk@mandriva.org> 0.8.1-3mdk
- move libpolypcore.so to lib package (bug #22431)

* Wed May 10 2006 Gtz Waschk <waschk@mandriva.org> 0.8.1-2mdk
- add conflict to fix upgrade from stable

* Fri Apr 28 2006 Götz Waschk <waschk@mandriva.org> 0.8.1-1mdk
- New release 0.8.1

* Fri Apr 21 2006 Gtz Waschk <waschk@mandriva.org> 0.8-1mdk
- update file list
- drop patch 0
- fix major
- fix buildrequires
- new version

* Wed Mar  8 2006 Gtz Waschk <waschk@mandriva.org> 0.7-6mdk
- disable glib 1.2 main loop

* Sun Jan 01 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> 0.7-5mdk
- Rebuild

* Fri Apr 22 2005 Gtz Waschk <waschk@mandriva.org> 0.7-4mdk
- fix build

* Thu Jan 06 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.7-3mdk
- add BuildRequires: libltdl-devel

* Wed Jan 05 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.7-2mdk
- use automake1.8

* Tue Jan  4 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.7-1mdk
- initial package
